=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: kcodecs
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                gperf,
-               graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kcodecs
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcodecs
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcodecs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcodecs
 Rules-Requires-Root: no
 
 Package: libkf5codecs-data
@@ -35,7 +34,7 @@
 Architecture: any
 Section: libdevel
 Depends: libkf5codecs5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: libkf5codecs-doc (= ${source:Version})
@@ -61,7 +60,7 @@
 Multi-Arch: same
 Depends: libkf5codecs-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: collection of methods to manipulate strings
  KCodecs provide a collection of methods to manipulate strings
  using various encodings.
@@ -94,4 +93,4 @@
         libkf5webkit5 (<< 5.42),
         libkf5xmlgui5 (<< 5.42),
         plasma-framework (<< 5.42),
-        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
