=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.100.0~),
+               extra-cmake-modules (>= 5.103.0~),
                gperf,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kcodecs
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcodecs
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcodecs.git
@@ -23,7 +23,7 @@
 Package: libkf5codecs-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: collection of methods to manipulate strings
  KCodecs provide a collection of methods to manipulate strings
  using various encodings.
@@ -37,16 +37,16 @@
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: libkf5codecs-doc (= ${source:Version})
+Recommends: libkf5codecs-doc (= ${source:Version}),
 Description: development files for kcodecs
  This package contains development files for building software that uses
  libraries from kcodecs.
-Breaks: libkf5configwidgets-dev (<< 5.54)
+Breaks: libkf5configwidgets-dev (<< 5.54),
 
 Package: libkf5codecs-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: collection of methods to manipulate strings (documentation)
  KCodecs provide a collection of methods to manipulate strings
  using various encodings.
